Compiz-git

Usate questo forum per proporre nuovi articoli, creare gruppi di lavoro, segnalare problemi, collaborare in genere al progetto Wikislacky.

Moderatore: Staff

Regole del forum
1) Citare l'eventuale nome e link dell'articolo della wiki.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Avatar utente
Ansa89
Iper Master
Iper Master
Messaggi: 2703
Iscritto il: mer 29 ago 2007, 17:57
Nome Cognome: Stefano Ansaloni
Slackware: 14.2 64bit
Kernel: 4.9.61
Desktop: XFCE 4.12
Località: Modena

Re: Compiz-git

Messaggio da Ansa89 »

Che versione hai di intltool?

Codice: Seleziona tutto

$intltoolize --version

Avatar utente
eto_demertzel
Linux 0.x
Linux 0.x
Messaggi: 16
Iscritto il: lun 19 feb 2007, 9:51
Slackware: 12.2/64-current
Kernel: 2.6.29.6
Desktop: KDE 4.2

Re: Compiz-git

Messaggio da eto_demertzel »

0.37.1 ....

Avatar utente
Ansa89
Iper Master
Iper Master
Messaggi: 2703
Iscritto il: mer 29 ago 2007, 17:57
Nome Cognome: Stefano Ansaloni
Slackware: 14.2 64bit
Kernel: 4.9.61
Desktop: XFCE 4.12
Località: Modena

Re: Compiz-git

Messaggio da Ansa89 »

eto_demertzel ha scritto:0.37.1 ....
Non riesco a capire il perché dell'errore che riporti...Compiz ha ancora molti segreti per me!! :? :?



NUOVA VERSIONE 4.0!!!
8) \:D/ 8)

Avatar utente
tigerwalk
Linux 3.x
Linux 3.x
Messaggi: 890
Iscritto il: lun 25 feb 2008, 22:08
Nome Cognome: Giuliano della Vecchia
Slackware: 13.37-14.2
Kernel: 3.10.17-tiger / 4.4.88-smp
Desktop: kde4/xfce4
Località: Napoli

Re: Compiz-git

Messaggio da tigerwalk »

eto_demertzel ha scritto:
Per primo compilo compiz con i seguenti flags: --enable-librsvg --enable-gtk --disable-metacity --disable-static --disable-gconf --enable-kde --build=i686-slackware-linux --prefix=/usr/local
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal
/usr/share/aclocal/nspr.m4:8: warning: underquoted definition of AM_PATH_NSPR
run info '(automake)Extending aclocal'
or see http://sources.redhat.com/automake/auto ... ng-aclocal
/usr/share/aclocal/imlib.m4:9: warning: underquoted definition of AM_PATH_IMLIB
/usr/share/aclocal/imlib.m4:167: warning: underquoted definition of AM_PATH_GDK_IMLIB
/usr/share/aclocal/audiofile.m4:12: warning: underquoted definition of AM_PATH_AUDIOFILE
/usr/share/aclocal/aalib.m4:12: warning: underquoted definition of AM_PATH_AALIB
autoreconf: configure.ac: tracing
autoreconf: running: libtoolize --copy
/usr/share/aclocal/nspr.m4:8: warning: underquoted definition of AM_PATH_NSPR
run info '(automake)Extending aclocal'
or see http://sources.redhat.com/automake/auto ... ng-aclocal
/usr/share/aclocal/imlib.m4:9: warning: underquoted definition of AM_PATH_IMLIB
/usr/share/aclocal/imlib.m4:167: warning: underquoted definition of AM_PATH_GDK_IMLIB
/usr/share/aclocal/audiofile.m4:12: warning: underquoted definition of AM_PATH_AUDIOFIL
/usr/share/aclocal/aalib.m4:12: warning: underquoted definition of AM_PATH_AALIB
autoreconf: running: /usr/bin/autoconf
configure.ac:23: error: possibly undefined macro: AC_PROG_INTLTOOL
If this token and others are legitimate, please use m4_pattern_allow.
See the Autoconf documentation.
autoreconf: /usr/bin/autoconf failed with exit status: 1
make: *** No targets specified and no makefile found. Stop.
Stesso identico errore (slackware 12.1)
Idee?

[EDIT]: Ho risolto scaricando i pacchetti e compilandoli come indicato quì: http://www.slacky.eu/wikislack/index.ph ... _Slackware . Comunque sarebbe interessante sapere come risolvere il problema di cui sopra ;)

Avatar utente
Ansa89
Iper Master
Iper Master
Messaggi: 2703
Iscritto il: mer 29 ago 2007, 17:57
Nome Cognome: Stefano Ansaloni
Slackware: 14.2 64bit
Kernel: 4.9.61
Desktop: XFCE 4.12
Località: Modena

Re: Compiz-git

Messaggio da Ansa89 »

Chiedo scusa...Ma lo sviluppo dello script è attualmente fermo causa pesante studio pre-esame di maturità :?
Inoltre devo ancora avere il tempo di installare la slack 12.1 :? :?

Appena possibile provvederò ad entrambi, promesso :thumbright:

pedrus
Linux 1.x
Linux 1.x
Messaggi: 112
Iscritto il: ven 24 ago 2007, 17:55
Località: Taranto-Pavia

Re: Compiz-git

Messaggio da pedrus »

Riprendo questa discussione. Ho provato lo script, dopo un po' di tentativi e l'installazione di alcune dipendenze l'installazione è andata a buon fine. Se lancio compiz manualmente con:

Codice: Seleziona tutto

 /usr/local/bin/compiz --replace ccp & 
parte regolarmente e funziona. Però, ovviamente, non ho nessuna icona nella tray e quindi non saprei come fare le varie impostazioni.
fusion-icon si è andato a installare in /, se lo lancio ottengo questo:

Codice: Seleziona tutto

bash-3.1$ /fusion-icon
 * Detected Session: kde
 * Searching for installed applications...
 * NVIDIA on Xorg detected, exporting: __GL_YIELD=NOTHING
 * Using the GTK Interface
 * No module named gtk
 ... Trying another interface
 * Using the Qt4 Interface
 * No module named PyQt4
 ... Trying another interface
 * Using the Qt3 Interface
 * Interface not installed
 *** Error: All interfaces failed, aborting!
Sinceramente non capisco come risolvere il problema.

Avatar utente
JohnnyMnemonic
Staff
Staff
Messaggi: 2733
Iscritto il: dom 5 set 2004, 0:00
Nome Cognome: Giuseppe Palmiotto
Slackware: 14.0
Kernel: 3.5.5-thanatos
Località: Bologna
Contatta:

Re: Compiz-git

Messaggio da JohnnyMnemonic »

Hai installato le librerie pyqt?

pedrus
Linux 1.x
Linux 1.x
Messaggi: 112
Iscritto il: ven 24 ago 2007, 17:55
Località: Taranto-Pavia

Re: Compiz-git

Messaggio da pedrus »

Si, ho installato questo pacchetto: pyqt-3.17.3-i486-1as
Dovrebbe essere quello giusto.

pedrus
Linux 1.x
Linux 1.x
Messaggi: 112
Iscritto il: ven 24 ago 2007, 17:55
Località: Taranto-Pavia

Re: Compiz-git

Messaggio da pedrus »

Allora, sembrerebbe quasi risolto. Ho dovuto installare Qt4 e pyqt 4, fusion icon parte, nella tray però non è visibile l'icona, al suo posto c'è uno spazio vuoto. Comunque c'è. Premendo il tasto destro del mouse compare il menu con le varie scelte possibili. Fra queste, però, manca la possibilità di avviare il compiz config settings manager. Il pacchetto ccsm è installato. Però, anche da terminale, non saprei come avviarlo, non trovo il comando il giusto. Di fatto mi trovo nell'impossibilità di impostare le varie opzioni.

Avatar utente
Ansa89
Iper Master
Iper Master
Messaggi: 2703
Iscritto il: mer 29 ago 2007, 17:57
Nome Cognome: Stefano Ansaloni
Slackware: 14.2 64bit
Kernel: 4.9.61
Desktop: XFCE 4.12
Località: Modena

Re: Compiz-git

Messaggio da Ansa89 »

Il comando da terminale è

Codice: Seleziona tutto

$ccsm
Comunque adesso sto aggiornando lo script (in realtà sarebbe già pronto, ma preferisco fare un po' di test prima... ;) ), presto sarà disponibile :thumbright:

Avatar utente
Ansa89
Iper Master
Iper Master
Messaggi: 2703
Iscritto il: mer 29 ago 2007, 17:57
Nome Cognome: Stefano Ansaloni
Slackware: 14.2 64bit
Kernel: 4.9.61
Desktop: XFCE 4.12
Località: Modena

Re: Compiz-git

Messaggio da Ansa89 »

Eccolo!!! :D :D
http://www.slacky.eu/wikislack/index.ph ... re_12.1.29
Provatelo e ditemi se funziona anche a voi ;)
:thumbright:

Avatar utente
tigerwalk
Linux 3.x
Linux 3.x
Messaggi: 890
Iscritto il: lun 25 feb 2008, 22:08
Nome Cognome: Giuliano della Vecchia
Slackware: 13.37-14.2
Kernel: 3.10.17-tiger / 4.4.88-smp
Desktop: kde4/xfce4
Località: Napoli

Re: Compiz-git

Messaggio da tigerwalk »

Ansa89 ha scritto:Eccolo!!! :D :D
http://www.slacky.eu/wikislack/index.ph ... re_12.1.29
Provatelo e ditemi se funziona anche a voi ;)
:thumbright:
tigerwalk ha scritto:
Per primo compilo compiz con i seguenti flags: --enable-librsvg --enable-gtk --disable-metacity --disable-static --disable-gconf --enable-kde --build=i686-slackware-linux --prefix=/usr/local
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal
/usr/share/aclocal/nspr.m4:8: warning: underquoted definition of AM_PATH_NSPR
run info '(automake)Extending aclocal'
or see http://sources.redhat.com/automake/auto ... ng-aclocal
/usr/share/aclocal/imlib.m4:9: warning: underquoted definition of AM_PATH_IMLIB
/usr/share/aclocal/imlib.m4:167: warning: underquoted definition of AM_PATH_GDK_IMLIB
/usr/share/aclocal/audiofile.m4:12: warning: underquoted definition of AM_PATH_AUDIOFILE
/usr/share/aclocal/aalib.m4:12: warning: underquoted definition of AM_PATH_AALIB
autoreconf: configure.ac: tracing
autoreconf: running: libtoolize --copy
/usr/share/aclocal/nspr.m4:8: warning: underquoted definition of AM_PATH_NSPR
run info '(automake)Extending aclocal'
or see http://sources.redhat.com/automake/auto ... ng-aclocal
/usr/share/aclocal/imlib.m4:9: warning: underquoted definition of AM_PATH_IMLIB
/usr/share/aclocal/imlib.m4:167: warning: underquoted definition of AM_PATH_GDK_IMLIB
/usr/share/aclocal/audiofile.m4:12: warning: underquoted definition of AM_PATH_AUDIOFIL
/usr/share/aclocal/aalib.m4:12: warning: underquoted definition of AM_PATH_AALIB
autoreconf: running: /usr/bin/autoconf
configure.ac:23: error: possibly undefined macro: AC_PROG_INTLTOOL
If this token and others are legitimate, please use m4_pattern_allow.
See the Autoconf documentation.
autoreconf: /usr/bin/autoconf failed with exit status: 1
make: *** No targets specified and no makefile found. Stop.

Avatar utente
Ansa89
Iper Master
Iper Master
Messaggi: 2703
Iscritto il: mer 29 ago 2007, 17:57
Nome Cognome: Stefano Ansaloni
Slackware: 14.2 64bit
Kernel: 4.9.61
Desktop: XFCE 4.12
Località: Modena

Re: Compiz-git

Messaggio da Ansa89 »

Hai intltool istallato sul tuo sistema?

Avatar utente
tigerwalk
Linux 3.x
Linux 3.x
Messaggi: 890
Iscritto il: lun 25 feb 2008, 22:08
Nome Cognome: Giuliano della Vecchia
Slackware: 13.37-14.2
Kernel: 3.10.17-tiger / 4.4.88-smp
Desktop: kde4/xfce4
Località: Napoli

Re: Compiz-git

Messaggio da tigerwalk »

Ansa89 ha scritto:Hai intltool istallato sul tuo sistema?
non so perchè ma quando ho segnalato la prima volta il problema era presente, adesso non lo ritrovo più. L'ho installato e pare che stia compilandi i pacchetti.
Scusate!

Avatar utente
Ansa89
Iper Master
Iper Master
Messaggi: 2703
Iscritto il: mer 29 ago 2007, 17:57
Nome Cognome: Stefano Ansaloni
Slackware: 14.2 64bit
Kernel: 4.9.61
Desktop: XFCE 4.12
Località: Modena

Re: Compiz-git

Messaggio da Ansa89 »

tigerwalk ha scritto:non so perchè ma quando ho segnalato la prima volta il problema era presente, adesso non lo ritrovo più. L'ho installato e pare che stia compilandi i pacchetti.
Scusate!
Effettivamente anche a me ogni tanto capitava, ma devo ancora capire il perché... :roll:

Rispondi